Files
rocm-systems/projects/rocprofiler-systems/docker/Dockerfile.ubuntu.ci
T

Ignoring revisions in .git-blame-ignore-revs. Click here to bypass and see the normal blame view.

81 baris
3.1 KiB
Docker
Mentah Pandangan Normal Riwayat

2025-09-30 15:15:12 -04:00
ARG DISTRO=ubuntu
ARG VERSION=22.04
2022-03-22 12:30:07 -05:00
FROM ${DISTRO}:${VERSION}
ENV HOME=/root
ENV LANG=C.UTF-8
ENV SHELL=/bin/bash
ENV BASH_ENV=/etc/bash.bashrc
ENV DEBIAN_FRONTEND=noninteractive
2022-03-22 12:30:07 -05:00
WORKDIR /tmp
SHELL [ "/bin/bash", "-c" ]
ARG EXTRA_PACKAGES=""
2024-10-21 14:58:30 -04:00
ARG ELFUTILS_DOWNLOAD_VERSION="0.188"
2022-10-17 12:54:26 -05:00
ARG BOOST_DOWNLOAD_VERSION="1.79.0"
2024-10-21 14:58:30 -04:00
ARG NJOBS="8"
ENV PATH="/usr/local/bin:${PATH}"
2025-09-30 15:15:12 -04:00
ENV LIBRARY_PATH="/usr/local/lib:/usr/local/lib64"
ENV LD_LIBRARY_PATH="/usr/local/lib:/usr/local/lib64"
ENV CMAKE_PREFIX_PATH="/usr/local"
2022-03-22 12:30:07 -05:00
RUN apt-get update && \
apt-get dist-upgrade -y && \
2024-10-21 14:58:30 -04:00
apt-get install -y autoconf autotools-dev bash-completion bison build-essential \
bzip2 chrpath cmake curl environment-modules flex gettext git-core gnupg2 \
2025-10-02 21:06:01 -04:00
gzip iproute2 libgmock-dev libgtest-dev libiberty-dev libpapi-dev libpfm4-dev \
libsqlite3-dev libtool locales lsb-release m4 ninja-build nlohmann-json3-dev \
python3-pip software-properties-common texinfo unzip wget vim zip zlib1g-dev \
libucx-dev ucx-utils && \
apt-get autoclean
2025-10-02 21:06:01 -04:00
RUN OS_VERSION=$(grep '^VERSION_ID=' /etc/os-release | cut -d'=' -f2 | tr -d '"') && \
OS_ID=$(grep '^ID=' /etc/os-release | cut -d'=' -f2 | tr -d '"') && \
if [ "${OS_ID}" == "ubuntu" ] && [ "${OS_VERSION}" == "22.04" ]; then \
python3 -m pip install 'cmake==3.21' perfetto; \
2024-12-11 19:36:04 -05:00
else \
2025-10-02 21:06:01 -04:00
python3 -m pip install --break-system-packages 'cmake==3.21' perfetto; \
fi
RUN if ! pip show perfetto 2>&1 | tee pip_output.log | grep -q "WARNING"; then \
echo "perfetto successfully installed!"; \
else \
echo "ERROR: perfetto install failed."; \
exit 1; \
2024-12-11 19:36:04 -05:00
fi
2024-10-21 14:58:30 -04:00
2025-05-02 19:29:15 -04:00
ARG PYTHON_VERSIONS="6 7 8 9 10 11 12 13"
2024-10-21 14:58:30 -04:00
RUN wget https://github.com/conda-forge/miniforge/releases/latest/download/Miniforge3-Linux-x86_64.sh -O miniforge.sh && \
bash miniforge.sh -b -p /opt/conda && \
export PATH="/opt/conda/bin:${PATH}" && \
2025-10-02 21:06:01 -04:00
conda config --set always_yes yes --set changeps1 no --set solver classic && \
conda update -c conda-forge -n base conda && \
for i in ${PYTHON_VERSIONS}; do conda create -n py3.${i} -c conda-forge python=3.${i} pip numpy; done && \
2023-03-07 06:04:19 -06:00
for i in ${PYTHON_VERSIONS}; do /opt/conda/envs/py3.${i}/bin/python -m pip install numpy perfetto dataclasses; done && \
conda clean -a -y && \
2022-03-22 12:30:07 -05:00
cd /tmp && \
shopt -s dotglob extglob && \
rm -rf *
# The Rock Tarball
ARG GPU_TYPE=""
ARG GPU_TARBALL=""
RUN if [ -n "$GPU_TYPE" ] && [ -n "$GPU_TARBALL" ]; then \
VERSION=$(echo "$GPU_TARBALL" | sed -nE 's/.*([0-9]+\.[0-9]+\.[0-9]+).*/\1/p'); \
2025-09-30 15:15:12 -04:00
if [ -z "$VERSION" ]; then \
echo "Error: Could not extract version from GPU_TARBALL ('$GPU_TARBALL')." >&2; \
exit 1; \
fi; \
pip install --upgrade pip; \
pip install awscli --break-system-packages; \
2025-09-30 15:15:12 -04:00
aws s3 cp "s3://therock-nightly-tarball/${GPU_TARBALL}" rocm-${VERSION}-${GPU_TYPE}.tar.gz --no-sign-request; \
mv rocm-${VERSION}-${GPU_TYPE}.tar.gz /opt/rocm-${VERSION}-${GPU_TYPE}.tar.gz; \
fi
ENV LC_ALL=C.UTF-8
2022-03-22 12:30:07 -05:00
WORKDIR /home
SHELL [ "/bin/bash", "--login", "-c" ]